Bug 1166099 - CVE-2012-6662 dokuwiki: jquery-ui: XSS vulnerability in default content in Tooltip widget [fedora-all]
Summary: CVE-2012-6662 dokuwiki: jquery-ui: XSS vulnerability in default content in To...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dokuwiki
Version: 20
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1166770 (view as bug list)
Depends On:
Blocks: CVE-2010-5312 CVE-2012-6662
TreeView+ depends on / blocked
 
Reported: 2014-11-20 11:57 UTC by Vasyl Kaigorodov
Modified: 2015-03-26 22:07 UTC (History)
3 users (show)

Fixed In Version: dokuwiki-0-0.24.20140929c.fc22
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-25 19:58:45 UTC
Type: ---


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-11-20 11:57:34 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vasyl Kaigorodov 2014-11-20 11:57:40 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1166064,1166099

# Description of your update
notes=Security fix for CVE-2012-6662

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1166064,1166099

Comment 2 Vasyl Kaigorodov 2014-11-21 16:55:06 UTC
*** Bug 1166770 has been marked as a duplicate of this bug. ***

Comment 3 Vasyl Kaigorodov 2014-11-21 17:14:14 UTC
This tracking bug was filed automatically because this component ships with jquery.js file, so may potentially be affected by CVE-2012-6662 and/or CVE-2010-5312 (XSS issues in jQuery UI).
If your package does not use jQuery UI, or affected parts of jQuery UI (namely: Tooltip or Dialog widgets), or a package is using jQuery UI (or named components) version 1.10.0 and later - feel free to close as NOTABUG.

Comment 4 Adam Tkac 2014-12-26 15:13:33 UTC
This is now fixed in 20140929b packages, upstream updated jquery to v1.11.1 in this release.

Comment 5 Fedora Update System 2014-12-26 15:22:43 UTC
dokuwiki-0-0.23.20140929b.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.23.20140929b.el5

Comment 6 Fedora Update System 2014-12-26 15:23:01 UTC
dokuwiki-0-0.23.20140929b.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.23.20140929b.el6

Comment 7 Fedora Update System 2014-12-26 15:23:17 UTC
dokuwiki-0-0.23.20140929b.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.23.20140929b.fc21

Comment 8 Fedora Update System 2014-12-26 15:23:38 UTC
dokuwiki-0-0.23.20140929b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.23.20140929b.fc19

Comment 9 Fedora Update System 2014-12-26 15:24:03 UTC
dokuwiki-0-0.23.20140929b.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.23.20140929b.fc20

Comment 10 Fedora Update System 2014-12-26 19:49:04 UTC
Package dokuwiki-0-0.23.20140929b.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing dokuwiki-0-0.23.20140929b.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-4917/dokuwiki-0-0.23.20140929b.el5
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-03-03 09:02:20 UTC
dokuwiki-0-0.24.20140929c.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.24.20140929c.fc21

Comment 12 Fedora Update System 2015-03-03 09:02:43 UTC
dokuwiki-0-0.24.20140929c.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.24.20140929c.el7

Comment 13 Fedora Update System 2015-03-03 09:03:03 UTC
dokuwiki-0-0.24.20140929c.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.24.20140929c.el6

Comment 14 Fedora Update System 2015-03-03 09:03:23 UTC
dokuwiki-0-0.24.20140929c.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.24.20140929c.fc20

Comment 15 Fedora Update System 2015-03-03 09:03:44 UTC
dokuwiki-0-0.24.20140929c.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.24.20140929c.el5

Comment 16 Fedora Update System 2015-03-03 09:04:04 UTC
dokuwiki-0-0.24.20140929c.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.24.20140929c.fc22

Comment 17 Fedora Update System 2015-03-25 19:58:45 UTC
dokuwiki-0-0.24.20140929c.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-03-25 20:03:39 UTC
dokuwiki-0-0.24.20140929c.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-03-26 21:39:33 UTC
dokuwiki-0-0.24.20140929c.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-03-26 21:44:16 UTC
dokuwiki-0-0.24.20140929c.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-03-26 22:07:49 UTC
dokuwiki-0-0.24.20140929c.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.